Package ghidra.framework.options

# Record Class AutoOptions.CategoryAndName

java.lang.Object
java.lang.Record
ghidra.framework.options.AutoOptions.CategoryAndName

All Implemented Interfaces:
  `Comparable<AutoOptions.CategoryAndName>`

Enclosing interface:
  `AutoOptions`

public static record AutoOptions.CategoryAndName(String category, String name) extends Record implements Comparable<AutoOptions.CategoryAndName>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CategoryAndName(AutoOptionConsumed annotation, Plugin plugin)`
  `CategoryAndName(AutoOptionDefined annotation, Plugin plugin)`
  `CategoryAndName(String category, String name)`
  Creates an instance of a `CategoryAndName` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `category()`
  Returns the value of the `category` record component.
  `int`
  `compareTo(AutoOptions.CategoryAndName that)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `protected static String`
  `getPluginPackageName(Plugin plugin)`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CategoryAndName

    public CategoryAndName(AutoOptionDefined annotation, Plugin plugin)

  - ### CategoryAndName

    public CategoryAndName(AutoOptionConsumed annotation, Plugin plugin)

  - ### CategoryAndName

    public CategoryAndName(String category, String name)
    Creates an instance of a `CategoryAndName` record class.
    Parameters:
      `category` - the value for the `category` record component
      `name` - the value for the `name` record component

- ## Method Details

  - ### getPluginPackageName

    protected static String getPluginPackageName(Plugin plugin)

  - ### compareTo

    public int compareTo(AutoOptions.CategoryAndName that)
    Specified by:
      `compareTo` in interface `Comparable<AutoOptions.CategoryAndName>`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### category

    public String category()
    Returns the value of the `category` record component.
    Returns:
      the value of the `category` record component

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component